Package be.fgov.ehealth.rn.baselegaldata.v1

# Class LegalCohabitationRegistrationType

java.lang.Object
be.fgov.ehealth.rn.baselegaldata.v1.LegalCohabitationRegistrationType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:15+02:00", comments="JAXB RI v4.0.5") public class LegalCohabitationRegistrationType extends Object implements Serializable

Java class for LegalCohabitationRegistrationType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="LegalCohabitationRegistrationType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="RegistrationDate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
             <element name="Location" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}LocationType" minOccurs="0"/>
             <element name="RegistrationBailiff" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}RegistrationBailiffType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LegalCohabitationRegistrationType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `LocationType`
  `getLocation()`
  Place where civil state was registered.
  `RegistrationBailiffType`
  `getRegistrationBailiff()`
  Gets the value of the registrationBailiff property.
  `Instant`
  `getRegistrationDate()`
  Gets the value of the registrationDate property.
  `void`
  `setLocation(LocationType value)`
  Sets the value of the location property.
  `void`
  `setRegistrationBailiff(RegistrationBailiffType value)`
  Sets the value of the registrationBailiff property.
  `void`
  `setRegistrationDate(Instant value)`
  Sets the value of the registrationDate property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### LegalCohabitationRegistrationType

    public LegalCohabitationRegistrationType()

- ## Method Details

  - ### getRegistrationDate

    public Instant getRegistrationDate()
    Gets the value of the registrationDate property.
    Returns:
      possible object is `String`

  - ### setRegistrationDate

    public void setRegistrationDate(Instant value)
    Sets the value of the registrationDate property.
    Parameters:
      `value` - allowed object is `String`

  - ### getLocation

    public LocationType getLocation()
    Place where civil state was registered.
    Returns:
      possible object is `LocationType`

  - ### setLocation

    public void setLocation(LocationType value)
    Sets the value of the location property.
    Parameters:
      `value` - allowed object is `LocationType`
    See Also:
      - `getLocation()`

  - ### getRegistrationBailiff

    public RegistrationBailiffType getRegistrationBailiff()
    Gets the value of the registrationBailiff property.
    Returns:
      possible object is `RegistrationBailiffType`

  - ### setRegistrationBailiff

    public void setRegistrationBailiff(RegistrationBailiffType value)
    Sets the value of the registrationBailiff property.
    Parameters:
      `value` - allowed object is `RegistrationBailiffType`